Infinity Campus

Config - Dial-In Groups (DGRPs) | Infinity API

Written by Infinity | Nov 18, 2026, 2:10:11 AM

Introduction

A Dial-In Group (DGRP) represents a collection of one or more phone numbers that can be dialled. DGRPs can contain both pool numbers and fixed numbers. Pool numbers are dynamically assigned to a Visitor to your web site, whereas Fixed numbers are assigned to a fixed Channel and Usage Filter.

  • Each DGRP is assigned a numeric ID that can be used to reference it in the APIs.
  • Each DGRP can also be assigned a Reference string, which can be used to refer to a DGRP using a customer’s internal identifier.
  • DGRPs can contain either or both fixed and pool numbers.
  • A single DGRP of pool numbers can be displayed in multiple places on a web page if required.
  • Call features can be enabled/disabled at DGRP level.
  • Each DGRP is associated with an IGRP.
  • Each DGRP can have its own number allocation config for each channel.
  • Each DGRP can be assigned a default segment. Calls to fixed numbers in this DGRP will be assigned to the DGRP’s segment. Calls to dynamic numbers in this DGRP will be assigned the DGRP’s segment if they do not match another segment’s criteria.

DGRP Properties

These are the DGRP properties that can be accessed using the API

Property Description
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”).
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”).
dgrpType (date) Type of DGRP. The valid values are offline & nas.
startDate (date)
DEPRECATED
Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date)
DEPRECATED
End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStartDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpEndDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
segment (int) Default Segment for this DGRP’s calls.
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.
autoDiscoveryNumber (string) When using auto discovery tracking mode, find this number in your website and replace with a tracking number from this DGRP.
sourceRealtimeEnrich (int) An integer flag (1 or 0) that enables realtime enrichment of marketing source data for calls. With this flag enabled, extra headers will be sent for calls terminated over TCP SIP, and also the realtime “active call” report route will be enabled.

Call Features

Each DGRP can have several call features configured, these are described below:

Property Description
callRecord (int) Enable/Disable Call Recording.
callAnnounce (string) Enables/Disable call announcement of the channel details to the callee.
customAnnounce (int) Enable/Disable Custom Call Announcement sound (played to the callee).
dgrpNameAnnounce (int) Enable/Disable DGRP Name Announcement (played to the callee).
customGreet (int) Enable/Disable Custom Call Greeting sound (played to the caller).
announceConfirm (int) Enable/Disable Call Confirmation (e.g. press 1 to accept call message).
endAnnounce (int) Enable/Disable announcements at the start and/or end of the call (when caller hangups).
holdMusic (int) Enable/Disable Hold music (played to caller instead of ringing when connecting call).
callerInsightEvents (string) Set Caller Insight Real-time events mode. Values are ‘none’ (Disable), ‘pbx’ (Only PBX connected calls), ‘all’ (all calls).
postCallOperatorRef (int) Enable/Disable post call Operator Reference entry.
blegForceAlegHangup (int) Enable/Disable force A-leg hangup *2 DTMF binding on B-leg.
zeroPadCallRefClid (int) Set the zero pad length of the Caller ID when using Call Ref over Caller ID. See Call Reference.
callRefClidPrefix (string) Set the prefix of the Caller ID when using Call Ref over Caller ID. See Call Reference.
callRate (int/string) Enable/Disable Call Rating for this DGRP. See Call Rating.
callRatingId (int) The Call Rating ID to use for this DGRP, see Call Rating. BETA
callRef (string) Call Reference delivery. Values are ‘clid’ (Over Caller ID), ‘announce’ (Announced), ‘both’ (Over Caller ID and Announced) and 0 when this feature has been disabled. See Call Reference.
alertStartDatetime (datetime) The datetime to start sending pool alerts.
nuisanceCallerIvr (string) Which callers to active the nuisance caller IVR for (none, all callers or anonymous callers only).

Call Reference

Some of these call features work in combination to present the call reference number to the operator.

By setting the callRef value to either ‘announce’ or ‘both’, an automated voice will read out the call ref to the operator (inaudible to the the caller, who will still hear a ringing tone at this point). This call reference will be re-read to the operator if the endAnnounce flag is set to 1.

Setting the callRef value to either ‘clid’ or ‘both’ will present the call ref in place of the caller ID. If the zeroPadCallRefClid value is set then the call ref will be prefixed with a number of zeros, to make the whole string this length. If a callRefClidPrefix value is provided then this will be used to prefix the padded call reference.

For example, if zeroPadCallRefClid is set to 12, and callRefClidPrefix is set to “+1443”, then the call reference “1234” would be presented as “+14430001234”.

Call Rating

The callRate and callRatingId settings work together to allow calls to be rated with one of a preset list of values.

Setting the callRate value to “0” will disable the end of call rating IVR. You may still be able to rate calls through the portal or Caller Insight applications.

Setting the callRate value to “1” will enable the end of call rating IVR. This is an automated voice prompt at the end of each call, asking your operators to rate the call from a list of values. If the callRatingId value is also set, then the values will be chosen from a list defined in Config V2 Call Rating. If the callRatingId is not set (zero), then our generic call rating script will be used, with the following options:

  1. enquiry
  2. warm lead
  3. hot lead
  4. sale (with the option to give a sale value)
  5. other

Setting the callRate value to a custom string value will attempt to use the hard-coded custom script by that name. If the script does not exist then no call rating IVR will take place. Please contact your account manager if you have any questions relating to this feature.

The callRatingId setting is currently in BETA status. Do not use it unless advised to do so.

List DGRPs

Returns a list of DGRPs that the current user can access.

Request:

HTTP / Text
GET /config/v2/igrps/{IGRP SPECIFIER}/dgrps

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

Response:

Returns a list of DGRPs under the given {IGRP SPECIFIER} that the user has access to.

Property Description
igrp (int) Installation ID.
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”)
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”)
dgrpType (date) Type of DGRP. The valid values are offline & nas.
startDate (date)
DEPRECATED
Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date)
DEPRECATED
End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStartDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgprEndDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.
segment (int) Default Segment for this DGRP’s calls.
callRate (int/string) Enable/Disable Call Rating for this DGRP. See Call Rating.
callRatingId (int) The Call Rating ID to use for this DGRP, see Call Rating. BETA
callRef (string) Call Reference delivery. Valid values are clid, announce, both, or 0 when this feature has been disabled. See Call Reference.
callRecord (int) Indicates if Call recording feature for this DGRP is active. Valid values are 1 when call recording feature is enabled and 0 when this feature has has been disabled.
callAnnounce (string) Indicates if call announcement of the channel details to the callee is active. Valid values are channel, channelFixed, channelDynamic, auto, both, or 0 when this feature has been disabled.
customAnnounce (int) Indicates if custom call announce feature is available for this DGRP. Valid values are 1 when custom call announce feature is enabled and 0 when this feature has been disabled.
dgrpNameAnnounce (int) Indicates if DGRP name announce feature is available for this DGRP. Valid values are 1 when dgrp name announce feature is enabled and 0 when this feature has been disabled.
customGreet (int) Indicates if custom call greeting feature is available for this DGRP. Valid values are 1 when custom call announce feature is enabled and 0 when this feature has been disabled.
announceConfirm (int) Indicates if Call Confirmation (e.g. press 1 to accept call message) is enabled.
endAnnounce (int) Indicates if announcements at the start and/or end of the call (when caller hangups) is enabled.
holdMusic (int) Indicates if Hold music (played to caller instead of ringing when connecting call) is enabled.
callerInsightEvents (string) Indicates Caller Insight real-time events mode.
defaultDestination (string) Indicates if there is a default destination specified for this DGRP.
inbandDtmfDetect (string) Indicates if any inband DTMF detection is turned on, and for which call legs.
inbandDtmfGenerate (string) Indicates if any inband DTMF generation is turned on, and for which call legs.
postCallOperatorRef (int) Indicates if post call Operator Reference entry is enabled.
blegForceAlegHangup (int) Enable/Disable force A-leg hangup *2 DTMF binding on B-leg.
zeroPadCallRefClid (int) The zero pad length of the Caller ID when using Call Ref over Caller ID. See Call Reference.
callRefClidPrefix (string) The prefix of the Caller ID when using Call Ref over Caller ID. See Call Reference.
numFormat (string) The format that the phone number will be displayed in.
channels (array) The channel configs for the DGRP
alertStartDatetime (datetime) The datetime to start sending pool alerts.
autoDiscoveryNumber (string) When using auto discovery tracking mode, find this number in your website and replace with a tracking number from this DGRP.
nuisanceCallerIvr (string) Which callers to active the nuisance caller IVR for. Valid values are none, all or anonymous.
sourceRealtimeEnrich (int) Indicates if realtime enrichment of marketing source data for calls is enabled.
JSON
{"igrp":1,"dgrp":11,"dgrpName":"Sales Enquiries","dgrpType":"offline","dgrpRef":"sales","startDate":"2011-12-01","endDate":"2012-12-01","dgrpStartDate":"2011-12-01","dgrpEndDate":"2012-12-01","dgrpStatus":"410"}
{"igrp":1,"dgrp":12,"dgrpName":"Timetable Enquiries","dgrpType":"nas","dgrpRef":"timetable","startDate":"2011-02-01","endDate":"2012-12-01","dgrpStartDate":"2011-02-01","dgrpEndDate":"2012-12-01","dgrpStatus":"200"}

Read DGRP Config

Returns the properties for a particular DGRP.

Request:

HTTP / Text
GET /config/v2/igrps/{IGRP SPECIFIER}/dgrps/{DGRP SPECIFIER}

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.
DGRP SPECIFIER (int) DGRP ID.

Response:

Returns the details of the Dial-In Group (DGRP) specified by the IGRP and DGRP

Property Description
igrp (int) Installation ID.
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”)
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”)
dgrpType (date) Type of DGRP. The valid values are offline & nas.
startDate (date)
DEPRECATED
Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date)
DEPRECATED
End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStartDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgprEndDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.
segment (int) Default Segment for this DGRP’s calls.
callRate (int/string) Enable/Disable Call Rating for this DGRP. See Call Rating.
callRatingId (int) The Call Rating ID to use for this DGRP, see Call Rating. BETA
callRef (string) Call Reference delivery. Valid values are clid, announce, both, or 0 when this feature has been disabled. See Call Reference.
callRecord (int) Indicates if Call recording feature for this DGRP is active. Valid values are 1 when call recording feature is enabled and 0 when this feature has has been disabled.
callAnnounce (string) Indicates if call announcement of the channel details to the callee is active. Valid values are channel, channelFixed, channelDynamic, auto, both, or 0 when this feature has been disabled.
customAnnounce (int) Indicates if custom call announce feature is available for this DGRP. Valid values are 1 when custom call announce feature is enabled and 0 when this feature has been disabled.
dgrpNameAnnounce (int) Indicates if DGRP name announce feature is available for this DGRP. Valid values are 1 when dgrp name announce feature is enabled and 0 when this feature has been disabled.
customGreet (int) Indicates if custom call greeting feature is available for this DGRP. Valid values are 1 when custom call announce feature is enabled and 0 when this feature has been disabled.
announceConfirm (int) Indicates if Call Confirmation (e.g. press 1 to accept call message) is enabled.
endAnnounce (int) Indicates if announcements at the start and/or end of the call (when caller hangups) is enabled.
holdMusic (int) Indicates if Hold music (played to caller instead of ringing when connecting call) is enabled.
callerInsightEvents (string) Indicates Caller Insight real-time events mode.
defaultDestination (string) Indicates if there is a default destination specified for this DGRP.
inbandDtmfDetect (string) Indicates if any inband DTMF detection is turned on, and for which call legs.
inbandDtmfGenerate (string) Indicates if any inband DTMF detection is turned on, and for which call legs.
postCallOperatorRef (int) Indicates if post call Operator Reference entry is enabled.
blegForceAlegHangup (int) Enable/Disable force A-leg hangup *2 DTMF binding on B-leg.
zeroPadCallRefClid (int) The zero pad length of the Caller ID when using Call Ref over Caller ID. See Call Reference.
callRefClidPrefix (string) The prefix of the Caller ID when using Call Ref over Caller ID. See Call Reference.
numFormat (string) The format that the phone number will be displayed in.
channels (array) The channel configs for the DGRP
alertStartDatetime (datetime) The datetime to start sending pool alerts.
autoDiscoveryNumber (string) When using auto discovery tracking mode, find this number in your website and replace with a tracking number from this DGRP.
nuisanceCallerIvr (string) Which callers to active the nuisance caller IVR for. Valid values are none, all or anonymous.
sourceRealtimeEnrich (int) Indicates if realtime enrichment of marketing source data for calls is enabled.
JSON
{"igrpId":1,"dgrpId":11,"dgrpName":"Sales Enquiries","dgrpType":"offline","dgrpRef":"sales","startDate":"2011-12-01","endDate":"2012-12-01","dgrpStartDate":"2011-12-01","dgrpEndDate":"2012-12-01","dgrpStatus":"200"}

Create DGRP

Creates a new DGRP with properties.

Request:

HTTP / Text
POST /config/v2/igrps/{IGRP SPECIFIER}/dgrps

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

POST Params

Property Description
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”) (Max 100 characters)
dgrpRef (string)
OPTIONAL
Your reference for this Dial-In Group (e.g. “sales”). Defaults to empty. (Max 100 characters)
dgrpType (string)
OPTIONAL
Type of DGRP being created. Accepts offline or nas. Defaults to offline.
callRate (int/string)
OPTIONAL
Enable/Disable Call Rating for this DGRP. See Call Rating.
callRatingId (int) The Call Rating ID to use for this DGRP, see Call Rating. BETA
callRef (string) Call Reference delivery. Valid values are clid, announce, both, or 0 when this feature has been disabled. See Call Reference.
callRecord (int)
OPTIONAL
Enable/Disable call record feature for this DGRP. To enable call recording set {callRecord} to 1. Set to 0 to disable call recording feature. Defaults to 0 (Max 1 character)
callAnnounce (string) Set call announcement of the dgrp or channel details to the callee. Valid values are channel, channelFixed, channelDynamic, auto, both, or 0 to disable.
customAnnounce (int)
OPTIONAL
Enable/Disable custom call announce feature for this DGRP. To enable custom call announce set {customAnnounce} to 1. Set to 0 to disable custom call announce. Defaults to 0 (Max 1 character)
dgrpNameAnnounce (int)
OPTIONAL
Enable/Disable dgrp name announce feature for this DGRP. To enable dgrp name announce set {dgrpNameAnnounce} to 1. Set to 0 to disable dgrp name announce. Defaults to 0 (Max 1 character)
customGreet (int)
OPTIONAL
Enable/Disable custom call greeting for this DGRP. To enable custom call greeting set {customGreet} to 1. Set to 0 to disable custom call greet feature. Defaults to 0 (Max 1 character)
announceConfirm (int)
OPTIONAL
Enable/Disable Call Confirmation (e.g. press 1 to accept call message). Defaults to 0 (Max 1 character)
endAnnounce (int)
OPTIONAL
Enable/Disable announcements at the start and/or end of the call (when caller hangups). Defaults to 0, can be either 0: start of call only, 1: start and end of call, 2: end of call only
holdMusic (int)
OPTIONAL
Enable/Disable Hold music (played to caller instead of ringing when connecting call). Defaults to 0 (Max 1 character)
callerInsightEvents (string) Set Caller Insight Real-time events mode. Values are ‘none’ (Disable), ‘pbx’ (Only PBX connected calls), ‘all’ (all calls).
segment (int)
OPTIONAL
Default Segment for this DGRP’s calls. Defaults to 1 (the “Default” Segment).
defaultDestination (string)
OPTIONAL
Set the default destination specified for this DGRP.
inbandDtmfDetect (string)
OPTIONAL
Set inband DTMF detection for 1 or more call legs. Accepts a, b, both, or 0 to disable.
inbandDtmfGenerate (string)
OPTIONAL
Set inband DTMF generation for 1 or more call legs. Accepts a, b, both, or 0 to disable.
postCallOperatorRef (int)
OPTIONAL
Enable/Disable post call Operator Reference entry. Accepts 1 or 0. Defaults to 0.
blegForceAlegHangup (int) Enable/Disable force A-leg hangup *2 DTMF binding on B-leg. Accepts 1 or 0. Defaults to 0.
zeroPadCallRefClid (int) Set the zero pad length of the Caller ID when using Call Ref over Caller ID. Accepts values 0 to 11. Defaults to 11. See Call Reference.
callRefClidPrefix (string) Set the prefix of the Caller ID when using Call Ref over Caller ID. See Call Reference.
numFormat (string) The format that the phone number will be displayed in. Accepts a series of ‘n’ characters and spaces. For example ‘nnn nnnn nnn’ would lead to a phone number being displayed as ‘080 1234 123’.
autoDiscoveryNumberFormat (string)
OPTIONAL
The format auto discovery number would be saved. Accepts a series of ‘n’ characters and spaces. For example ‘nnn nnnn nnn’ would lead to a phone number being displayed as ‘080 1234 123’.
provisionAutoDiscoveryNumber (int)
OPTIONAL
A flag (1 or 0) to enable auto discovery number provisioning. Cannot be set with autoDiscoveryNumber as it conflicts.
provisionNumberQuantity (int)
OPTIONAL
Amount of numbers in provisioned pool. Min is 4, max is 50, default is 10.
channels (array) The clannel list should be supplied as an array. See below for structure and allowed values
alertStartDatetime (datetime)
OPTIONAL
The datetime to start sending pool alerts.
provisionNumberPrefix (string)
OPTIONAL
See Provision number prefix below
autoDiscoveryNumber (string)
OPTIONAL
Auto discovery number, accepts a phone number (no spaces/symbols)
OPTIONALly starting with a +. Defaults to empty.
nuisanceCallerIvr (string) Which callers to active the nuisance caller IVR for. Valid values are none, all or anonymous.
sourceRealtimeEnrich (int)
OPTIONAL
A flag (1 or 0) to indicate if realtime enrichment of marketing source data for calls is enabled. Defaults to 0

Provision number prefix

If specified the provisionNumberPrefix parameter will attempt to provision a DGRP populated with pool numbers. Given a prefix of 0203, the DGRP will be provisioned with the following

  • 10 x 0203 pool numbers with a default destination (the default destination of the DGRP)
  • 1 x 0203 fallback number with a default destination (the default destination of the DGRP)

Response:

Property Description
dgrp (int) Dial-In Group ID.

Returns the HTTP response code to reflect the request outcome.

HTTP / Text
{"dgrp":"123"}

Update DGRP Config

Update the properties for a particular DGRP.

Request:

HTTP / Text
POST /config/v2/igrps/{IGRP SPECIFIER}/dgrps/{DGRP SPECIFIER}

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.
DGRP SPECIFIER (int) DGRP ID.

POST Params

Property Description
dgrpName (string)
OPTIONAL
Friendly name of the Dial-In Group (e.g. “Sales Numbers”) (Max 100 characters)
dgrpRef (string)
OPTIONAL
Your reference for this Dial-In Group (e.g. “sales”). (Max 100 characters)
dgrpType (string)
OPTIONAL
Type of DGRP being created. Accepts offline or nas.
callRate (int/string)
OPTIONAL
Enable/Disable Call Rating for this DGRP. See Call Rating.
callRatingId (int) The Call Rating ID to use for this DGRP, see Call Rating. BETA
callRef (string) Call Reference delivery. Valid values are clid, announce, both, or 0 when this feature has been disabled. See Call Reference.
callRecord (int)
OPTIONAL
Enable/Disable call record feature for this DGRP. To enable call recording set {callRecord} to 1. Set to 0 to disable call recording feature.
callAnnounce (string) Set call announcement of the channel or DGRP details to the callee. Valid values are channel, channelFixed, channelDynamic, auto, both or 0 to disable.
customAnnounce (int)
OPTIONAL
Enable/Disable custom call announce feature for this DGRP. To enable custom call announce set {customAnnounce} to 1. Set to 0 to disable custom call announce.
dgrpNameAnnounce (int)
OPTIONAL
Enable/Disable dgrp name announce feature for this DGRP. To enable dgrp name announce set {dgrpNameAnnounce} to 1. Set to 0 to disable dgrp name announce.
customGreet (int)
OPTIONAL
Enable/Disable custom call greeting for this DGRP. To enable custom call greeting set {customGreet} to 1. Set to 0 to disable custom call greet feature.
announceConfirm (int)
OPTIONAL
Enable/Disable Call Confirmation (e.g. press 1 to accept call message). Defaults to 0 (Max 1 character)
endAnnounce (int)
OPTIONAL
Enable/Disable announcements at the start and/or end of the call (when caller hangups). Defaults to 0, can be either 0: start of call only, 1: start and end of call, 2: end of call only
holdMusic (int)
OPTIONAL
Enable/Disable Hold music (played to caller instead of ringing when connecting call). Defaults to 0 (Max 1 character)
callerInsightEvents (string) Set Caller Insight Real-time events mode. Values are ‘none’ (Disable), ‘pbx’ (Only PBX connected calls), ‘all’ (all calls).
segment (int)
OPTIONAL
Default Segment for this DGRP’s calls.
defaultDestination (string)
OPTIONAL
Set the default destination specified for this DGRP.
inbandDtmfDetect (string)
OPTIONAL
Set inband DTMF detection for 1 or more call legs. Accepts a, b, both, or 0 to disable.
inbandDtmfGenerate (string)
OPTIONAL
Set inband DTMF generation for 1 or more call legs. Accepts a, b, both, or 0 to disable.
postCallOperatorRef (int)
OPTIONAL
Enable/Disable post call Operator Reference entry. Accepts 1 or 0 to disable.
blegForceAlegHangup (int) Enable/Disable force A-leg hangup *2 DTMF binding on B-leg. Accepts 1 or 0. Defaults to 0.
zeroPadCallRefClid (int) Set the zero pad length of the Caller ID when using Call Ref over Caller ID. Accepts values 0 to 11. Defaults to 11. See Call Reference.
callRefClidPrefix (string) Set the prefix of the Caller ID when using Call Ref over Caller ID. See Call Reference.
numFormat (string) The format that the phone number will be displayed in. Accepts a series of ‘n’ characters and spaces. For example ‘nnn nnnn nnn’ would lead to a phone number being displayed as ‘080 1234 123’.
emergencyMode (int)
OPTIONAL
Enable/Disable emergency mode feature for this DGRP. To enable set to 1. Set to 0 to disable the feature.
emergencyNumber (string)
OPTIONAL
Emergency phone number for this DGRP.
channels (array) The clannel list should be supplied as an array. See below for structure and allowed values
alertStartDatetime (datetime)
OPTIONAL
The datetime to start sending pool alerts.
autoDiscoveryNumber (string)
OPTIONAL
Auto discovery number, accepts a phone number (no spaces/symbols)
OPTIONALly starting with a +. Defaults to empty.
nuisanceCallerIvr (string) Which callers to active the nuisance caller IVR for. Valid values are none, all or anonymous.
sourceRealtimeEnrich (int)
OPTIONAL
A flag (1 or 0) to indicate if realtime enrichment of marketing source data for calls is enabled. Defaults to 0

Response:

Returns the HTTP 204 (No Content) status code if update successful.

HTTP / Text
HTTP 204 - NO CONTENT

DGRP channels

Structure for channels property. Channels are supplied as an array of properties, keyed on the channel ID. Currently only one property is allowed for channels, the call algorithm, callAlgo

Valid call algorithms

Property Description
none This will always return no number, this is used to provide the feature where only some channels are tracked
fixed A 1:1 mapping between srcRef and phoneNumber. Will always return a phoneNumber if the srcRef is defined
infinity A dynamic mapping of a pool of phoneNumbers to multiple srcRefs. Will always return a phoneNumber for any srcRef
session A dynamic mapping of a pool of phoneNumbers to visitor IDs for a channel
sessionsh A dynamic mapping of a shared pool of phoneNumbers to visitor IDs
PHP
array(
    '1' => array(
        'callAlgo' => array(
            'sessionsh',
            'infinity',
        ),
    ),
    '2' => array(
        'callAlgo' => array(
            'sessionsh',
        ),
    ),
)

Delete DGRP

Deletes a DGRP. Dgrp Numbers are set to ‘quarantined’

Request:

HTTP / Text
DELETE /config/v2/igrps/{IGRP SPECIFIER}/dgrps/{DGRP SPECIFIER}

URL Path Params

  • IGRP SPECIFIER (int) - Installation ID.
  • DGRP SPECIFIER (int) - DGRP ID.

Response:

Returns the HTTP 204 (No Content) status code if update successful.

HTTP / Text
HTTP 204 - NO CONTENT